Subject: Re: [bug#71565] [PATCH] gnu: ibus-minimal: Graft to 1.5.29.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 24 Jun 2024 00:50:35 -0400

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Hi Maxim,
>
> Am Sonntag, dem 23.06.2024 um 22:13 -0400 schrieb Maxim Cournoyer:
>> > […] I might have been cargo-culting the -public part from other
>> > definitions.  Are grafts typically not exported?
>> 
>> Not thinking about CI shenanigans, I think it's more logical that
>> they be private, since we want the users to use the grafted package,
>> not the graft itself (although in the end the result should be the
>> same).
>
> You mean that users end up accidentally discovering and using the wrong
> ibus through CLI?  I don't think that's an issue for ibus-minimal,
> though, since it's hidden anyway, and I do trust users who write the
> files to be sensible here.
>
> On that note, I think I remember a graft which had to be public to also
> fix issues in certain dependent packages.  (I might have committed that
> one myself and IIRC, it was meson).  Feel free to drop the -public part
> from the ibus graft though; I had pushed it without resolving this
> conversation.

No big deal, but a reminder that we should add some proper grafting
guidelines to our doc.

-- 
Thanks,
Maxim